#
# spec file for package mailimporter
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mailimporter
Version:        16.12.1
Release:        0
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 16.08 in KA, but 16.12.1 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Mail import functionality for KDE PIM
License:        GPL-2.0
Group:          Development/Libraries/C and C++
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
BuildRequires:  akonadi-contact-devel
BuildRequires:  akonadi-mime-devel
BuildRequires:  akonadi-server-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  karchive-devel
BuildRequires:  kcalcore-devel
BuildRequires:  kconfig-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kmime-devel
BuildRequires:  libkdepim-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Test) >= 5.4.0
BuildRequires:  pkgconfig(Qt5UiTools) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.4.0
BuildRequires:  pkgconfig(Qt5Xml) >= 5.4.0
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %ix86 x86_64 %arm aarch64 mips mips64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The mailimporter library is a KDE PIM project to provide a framework
for importing mail from different formats into Mail User Agents such as
KMail or Kontact.

%prep
%setup -q

%build
%cmake_kf5 -d build

%make_jobs

%install
%kf5_makeinstall -C build

%package -n libKF5MailImporter5
Summary:        MailImporter library for kdepim
License:        LGPL-2.1+
Group:          System/Libraries
Requires:       %{name}

%description -n libKF5MailImporter5
This package provides the mailimporter library, used by KDE PIM applications
to import data from other mail formats (such as mbox, Maildir...).

%post  -n libKF5MailImporter5 -p /sbin/ldconfig
%postun -n libKF5MailImporter5 -p /sbin/ldconfig

%package devel
Summary:        Development package for mailimporter
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Requires:       libKF5MailImporter5 = %{version}

%description devel
This package provides the development headers of the mailimporter library.

%files devel
%defattr(-,root,root)
%{_includedir}/KF5/mailimporter/
%{_includedir}/KF5/MailImporter/
%{_includedir}/KF5/mailimporter_version.h
%{_libdir}/cmake/KF5MailImporter/
%{_libdir}/libKF5MailImporter.so
%{_libdir}/qt5/mkspecs/modules/qt_MailImporter.pri

%files -n libKF5MailImporter5
%defattr(-,root,root)
%{_libdir}/libKF5MailImporter.so.*

%files
%defattr(-,root,root)
%config %{_kf5_configdir}/mailimporter.categories
%config %{_kf5_configdir}/mailimporter.renamecategories

%changelog
